## Prerequisites

Before you begin, you will need:

- A server running Ubuntu 18.04 or later
- `sudo` privileges
- An internet connection

## Steps

1. Update the repository cache:

sudo apt update


2. Install the necessary packages (`nginx-light`, `certbot`, `python3-certbot-nginx`, and `docker.io`):

sudo apt install -y nginx-light certbot python3-certbot-nginx docker.io


3. Add the current user to the `docker` group and switch to this group:

sudo usermod -a -G docker $USER newgrp docker


4. Initialize Docker Swarm mode if it has not yet been initialized:

docker swarm init || true


5. Deploy the Gitea application using Docker Swarm:

docker stack deploy -c stack.yaml gitea


Note: The `stack.yaml` file contains the configuration for the Gitea application, including the Docker image to use, the ports to expose, and any environment variables to set.
